Loading...
Searching...
No Matches
pcl::UniformSampling< PointT >::Leaf Struct Reference

Simple structure to hold an nD centroid and the number of points in a leaf. More...

`#include <pcl/filters/uniform_sampling.h>`

## Public Member Functions

| Leaf ()=default

## Public Attributes

int | idx {-1}
unsigned int | count {0}

## Detailed Description

template<typename PointT>
struct pcl::UniformSampling< PointT >::Leaf

Simple structure to hold an nD centroid and the number of points in a leaf.

Definition at line 128 of file uniform_sampling.h.

## Constructor & Destructor Documentation

## Leaf()

template<typename PointT >

pcl::UniformSampling< PointT >::Leaf::Leaf | ( |  | ) |

default

## Member Data Documentation

## count

template<typename PointT >

unsigned int pcl::UniformSampling< PointT >::Leaf::count {0}

Definition at line 132 of file uniform_sampling.h.

Referenced by pcl::UniformSampling< PointT >::applyFilter().

## idx

template<typename PointT >

int pcl::UniformSampling< PointT >::Leaf::idx {-1}

Definition at line 131 of file uniform_sampling.h.

Referenced by pcl::UniformSampling< PointT >::applyFilter().

The documentation for this struct was generated from the following file:

- pcl/filters/uniform_sampling.h